PSA2MSA(1)

NAME
psa2msa - reformat PSA file to Pearson/Fasta multiple sequence alignment file

SYNOPSIS

psa2msa
    [ -dhlpu ] [ -M insert_len ] [ -W width ] [ psa_file | - ] [ parameters ]

DESCRIPTION
psa2msa reformats a psa(5) formatted profile-sequence alignment file into a Pearson/Fasta-formatted multiple sequence alignment file. The result is written to the standard output. 'psa_file' contains alignments of several sequence segments to the same profile in psa(5) format. Such a file is typically generated by the programs pfsearch(1) or pfscan(1) using option -x. The output can be converted into other formats (e.g. MSF) with the aid of the public domain program readseq (available from ftp://ftp.bio.indiana.edu/molbio/readseq) or used directly with pfmake(1) or pfw(1). If '-' is specified instead of a filename, the psa(5) alignment is read from the standard input.

OPTIONS

psa_file
    Input multiple sequence alignment.
    The content of the file must be in psa(5) format. If the filename is replaced by a '-', psa2msa will read the input alignment from stdin.

-d  Replace periods '.' by dashes '-' on output.

-h  Display usage help text.

-l  Replace upper case letters by lower case letters on output.

-p  Replace dashes '-' by periods '.' on output.

-u  Replace lower case letters by upper case letters on output.

-M insert_len
    Maximal length of an insertion.
    If the real length of an insertion exceeds this value, the excess number of residues will be deleted from the center of the insertion. A negative value of 'insert_len' means no upper limit for the length of an insertion (i.e. no residues will be deleted from an insertion). If 'insert_len' is zero, all insert positions will be removed. Setting an insertion length limit helps to keep the resulting alignment at manageable size.
    Type: integer
    Default: -1

    Note:
        The meaning of the value '0' for this parameter has been changed compared to version 2.2 of the pftools package.

-W width
    Set alignment output width.
    The value of 'width' specifies how many residues will be output on one line.
    Type: integer
    Default: 60

PARAMETERS

Note:
    for backwards compatibility, release 2.3 of the pftools package will parse the version 2.2 style parameters, but these are deprecated and the corresponding option (refer to the options section) should be used instead.

M=# Maximal insertion length
    Use option -M instead.

W=# Output width.
    Use option -W instead.

EXAMPLES

(1) pfsearch -bx ecp.prf CVPBR322 | psa2msa -du | readseq -p -fMSF > ecp.msf

    Generates a multiple sequence alignment of predicted E. coli promoters on both strands of plasmid pBR322. The file 'ecp.prf' contains a profile for E. coli promoters. The file 'CVPBR322' contains EMBL entry J01749|CVPBR322. The result in 'ecp.msf' can further be processed by GCG programs accepting MSF files as input.

EXIT CODE

On successful completion of its task, psa2msa will return an exit code of 0. If an error occurs, a diagnostic message will be output on standard error and the exit code will be different from 0. When conflicting options where passed to the program but the task could nevertheless be completed, warnings will be issued on standard error.

SEE ALSO
pfscan(1), pfsearch(1), pfmake(1), pfw(1), psa(5), xpsa(5)

AUTHOR
The pftools package was developed by Philipp Bucher.
Any comments or suggestions should be addressed to <pftools@sib.swiss>.